Bug 1762920 - There should be cluster-monitoring alerts when an operator goes degraded or is unavailable
Summary: There should be cluster-monitoring alerts when an operator goes degraded or i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.z
Assignee: W. Trevor King
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1717632
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-17 19:41 UTC by W. Trevor King
Modified: 2020-01-09 09:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1717632
Environment:
Last Closed: 2020-01-09 09:16:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 253 0 'None' closed Bug 1762920: install: add alerts for cluster-version-operator 2020-03-10 07:22:44 UTC
Github openshift cluster-version-operator pull 261 0 'None' closed Bug 1762920: install: add alerts for cluster-version-operator 2020-03-10 07:22:44 UTC
Red Hat Product Errata RHBA-2020:0010 0 None None None 2020-01-09 09:16:28 UTC

Description W. Trevor King 2019-10-17 19:41:06 UTC
+++ This bug was initially created as a clone of Bug #1717632 +++

There are no alerts currently for when a cluster operator goes degraded or unavailable.  We should have alerts for these.

We need to define how long is "bad" (5m?)

These should be back ported to 4.1.z so we can see them in telemetry and cluster administrators know what is happening.  These are important alerts.

We should identify whether the console dashboard should also show these if they're firing (since they're pretty critical)

Comment 1 Scott Dodson 2019-12-20 14:52:02 UTC
All associated PRs have merged, moving to MODIFIED.

Comment 5 errata-xmlrpc 2020-01-09 09:16:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0010


Note You need to log in before you can comment on or make changes to this bug.